DOMUnsupportedException (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.browser.dom
Class DOMUnsupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.java.browser.dom.DOMUnsupportedException

All Implemented Interfaces:
  Serializable

public class DOMUnsupportedException
extends Exception

See Also:
  Serialized Form

Constructor Summary
`DOMUnsupportedException()` Constructs a new DOMUnsupportedException with no detail message.
`DOMUnsupportedException(Exception e)` Constructs a new DOMUnsupportedException with the given exception as a root clause.
`DOMUnsupportedException(Exception e, String msg)` Constructs a new DOMUnsupportedException with the given exception as a root clause and the given detail message.
`DOMUnsupportedException(String msg)` Constructs a new DOMUnsupportedException with the given detail message.

Method Summary
`Throwable` | `getCause()` Returns the root cause of the error or null if there is none.
`String` | `getMessage()` Returns the detail message of the error or null if there is no detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMUnsupportedException

    public DOMUnsupportedException()

  Constructs a new DOMUnsupportedException with no detail message.

### DOMUnsupportedException

    public DOMUnsupportedException(String msg)

  Constructs a new DOMUnsupportedException with the given detail message.

Parameters:
  `msg` - Detail message.

### DOMUnsupportedException

    public DOMUnsupportedException(Exception e)

  Constructs a new DOMUnsupportedException with the given exception as a root clause.

Parameters:
  `e` - Exception.

### DOMUnsupportedException

    public DOMUnsupportedException(Exception e,
                                   String msg)

  Constructs a new DOMUnsupportedException with the given exception as a root clause and the given detail message.

Parameters:
  `e` - Exception.
  `msg` - Detail message.

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message of the error or null if there is no detail message.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

### getCause

    public Throwable getCause()

  Returns the root cause of the error or null if there is none.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.